umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::DiagramType Namespace Reference

## Enumerations
enum | Enum { Undefined = 0 , Class , UseCase , Sequence , Collaboration , State , Activity , Component , Deployment , EntityRelationship , Object , N_DIAGRAMTYPES }

## Functions
QString | toString (Enum item)
QString | toStringI18n (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

Supported diagram types.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::DiagramType::Enum

Enumerator
Undefined |
Class |
UseCase |
Sequence |
Collaboration |
State |
Activity |
Component |
Deployment |
EntityRelationship |
Object |
N_DIAGRAMTYPES |

## Function Documentation

## ◆ fromInt()

Enum Uml::DiagramType::fromInt | ( | int | item | ) |

Convert an integer item into DiagramType representation.

Parameters

  item | integer value to convert

Returns
  DiagramType enum

## ◆ fromString()

Enum Uml::DiagramType::fromString | ( | const QString & | item | ) |

Convert a string item into DiagramType representation.

Parameters

  item | item to convert

Returns
  DiagramType object

## ◆ toString()

QString Uml::DiagramType::toString | ( | Enum | item | ) |

Convert DiagramType item into QString representation.

Parameters

  item | item to convert

Returns
  QString representation of DiagramType

## ◆ toStringI18n()

QString Uml::DiagramType::toStringI18n | ( | Enum | item | ) |

Return string corresponding to DiagramType